# Generated by go2rpm
%bcond_without check
%bcond_without bootstrap

# https://github.com/uber-go/zap
%global goipath         go.uber.org/zap
%global forgeurl        https://github.com/uber-go/zap
Version:                1.16.0

%gometa

%global common_description %{expand:
Package Zap provides fast, structured, leveled logging.

For applications that log in the hot path, reflection-based serialization and
string formatting are prohibitively expensive - they're CPU-intensive and make
many small allocations. Put differently, using json.Marshal and fmt.Fprintf to
log tons of interface{} makes your application slow.

Zap takes a different approach. It includes a reflection-free, zero-allocation
JSON encoder, and the base Logger strives to avoid serialization overhead and
allocations wherever possible. By building the high-level SugaredLogger on that
foundation, zap lets users choose when they need to count every allocation and
when they'd prefer a more familiar, loosely typed API.}

%global golicenses      LICENSE.txt
%global godocs          CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md FAQ.md README.md

Name:           %{goname}
Release:        %mkrel 1
Summary:        Blazing fast, structured, leveled logging in Go
Group:          Development/Other
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch
BuildRequires:  golang(go.uber.org/atomic)
BuildRequires:  golang(go.uber.org/multierr)


%if %{without bootstrap}
%if %{with check}
# Tests
BuildRequires:  golang(github.com/apex/log)
BuildRequires:  golang(github.com/apex/log/handlers/json)
BuildRequires:  golang(github.com/go-kit/kit/log)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/rs/zerolog)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(gopkg.in/inconshreveable/log15.v2)
%endif
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
%gocheck
%endif
%endif

%gopkgfiles



%changelog
* Tue Dec 29 2020 pterjan <pterjan> 1.16.0-1.mga8
+ Revision: 1665011
- Mageiaize
- imported package golang-uber-zap

